## ldapsaisie 4.1.0-1-6-g961740c8

=== debian/changelog ===
ldapsaisie (4.1.0-1-6-g961740c8) unstable; urgency=medium

  * Fix some french translated messages
  * LSauth add filter_function parameter
  * LSattr_ldap::date: replace unique format parameter by a list
  * LSauthMethod::CAS: fix support of phpCAS >= 1.6.0 and patched Debian Buster 1.3.6-1+deb10u1 version
  * SUPANN: Add supannCMSIdEtiquette attribute support
  * LSaddon::accesslog: improve displaying changes attributes values

 -- Easter-eggs <support@easter-eggs.com>  Fri, 18 Aug 2023 16:15:02 +0200

## ldapsaisie 4.1.0-1-8-g11a8448b

=== debian/changelog ===
ldapsaisie (4.1.0-1-8-g11a8448b) unstable; urgency=medium

  * Improve LSldapObject::getDisplayValue() method to match with getValue() method's parameters
  * Fix LSattribute::getDisplayValue() when called on updated attribute
  * Fix some french translated messages
  * LSauth add filter_function parameter
  * LSattr_ldap::date: replace unique format parameter by a list
  * LSauthMethod::CAS: fix support of phpCAS >= 1.6.0 and patched Debian Buster 1.3.6-1+deb10u1 version
  * SUPANN: Add supannCMSIdEtiquette attribute support
  * LSaddon::accesslog: improve displaying changes attributes values

 -- Easter-eggs <support@easter-eggs.com>  Mon, 18 Sep 2023 17:00:39 +0200

## ldapsaisie 4.1.0-1-13-g2de8c72

=== debian/changelog ===
ldapsaisie (4.1.0-1-13-g2de8c72) sid; urgency=medium

  * Remove useless old docbook doc scripts
  * Switch doc format to Markdown / Mkdocs
  * Improve LSldapObject::getDisplayValue() method to match with getValue()
    method's parameters
  * Fix LSattribute::getDisplayValue() when called on updated attribute
  * Fix some french translated messages
  * LSauth add filter_function parameter
  * LSattr_ldap::date: replace unique format parameter by a list
  * LSauthMethod::CAS: fix support of phpCAS >= 1.6.0 and patched Debian Buster
    1.3.6-1+deb10u1 version
  * SUPANN: Add supannCMSIdEtiquette attribute support
  * LSaddon::accesslog: improve displaying changes attributes values

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 28 Sep 2023 16:44:54 +0200

## ldapsaisie 4.1.0-1-14-g1639001

=== doc/requirements.txt ===
mkdocs
mkdocs-material
mdx_truly_sane_lists
mkdocs-print-site-plugin==1.3.0
# For building all-in-one HTML file
html5lib
requests
htmlark

=== debian/changelog ===
ldapsaisie (4.1.0-1-14-g1639001) sid; urgency=medium

  * LSaddon::accesslog: Fix infinity loop problem handling entry renaming event
    with the same DN
  * Remove useless old docbook doc scripts
  * Switch doc format to Markdown / Mkdocs
  * Improve LSldapObject::getDisplayValue() method to match with getValue()
    method's parameters
  * Fix LSattribute::getDisplayValue() when called on updated attribute
  * Fix some french translated messages
  * LSauth add filter_function parameter
  * LSattr_ldap::date: replace unique format parameter by a list
  * LSauthMethod::CAS: fix support of phpCAS >= 1.6.0 and patched Debian Buster
    1.3.6-1+deb10u1 version
  * SUPANN: Add supannCMSIdEtiquette attribute support
  * LSaddon::accesslog: improve displaying changes attributes values

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 05 Oct 2023 12:29:02 +0200

## ldapsaisie 4.1.0-1-15-g5fbe49c

=== debian/changelog ===
ldapsaisie (4.1.0-1-15-g5fbe49c) sid; urgency=medium

  * doc: use mike to keep old released doc
  * LSaddon::accesslog: Fix infinity loop problem handling entry renaming event
    with the same DN
  * Remove useless old docbook doc scripts
  * Switch doc format to Markdown / Mkdocs
  * Improve LSldapObject::getDisplayValue() method to match with getValue()
    method's parameters
  * Fix LSattribute::getDisplayValue() when called on updated attribute
  * Fix some french translated messages
  * LSauth add filter_function parameter
  * LSattr_ldap::date: replace unique format parameter by a list
  * LSauthMethod::CAS: fix support of phpCAS >= 1.6.0 and patched Debian Buster
    1.3.6-1+deb10u1 version
  * SUPANN: Add supannCMSIdEtiquette attribute support
  * LSaddon::accesslog: improve displaying changes attributes values

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Sun, 08 Oct 2023 10:46:29 +0200

## ldapsaisie 4.1.0-1-15-g9784d66

=== debian/changelog ===
ldapsaisie (4.1.0-1-15-g9784d66) sid; urgency=medium

  * doc: use mike to keep old released doc
  * LSaddon::accesslog: Fix infinity loop problem handling entry renaming event
    with the same DN
  * Remove useless old docbook doc scripts
  * Switch doc format to Markdown / Mkdocs
  * Improve LSldapObject::getDisplayValue() method to match with getValue()
    method's parameters
  * Fix LSattribute::getDisplayValue() when called on updated attribute
  * Fix some french translated messages
  * LSauth add filter_function parameter
  * LSattr_ldap::date: replace unique format parameter by a list
  * LSauthMethod::CAS: fix support of phpCAS >= 1.6.0 and patched Debian Buster
    1.3.6-1+deb10u1 version
  * SUPANN: Add supannCMSIdEtiquette attribute support
  * LSaddon::accesslog: improve displaying changes attributes values

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Sun, 08 Oct 2023 10:55:30 +0200

## ldapsaisie 4.1.0-1-15-gff11b8f

=== doc/Makefile ===
build: venv public_html LdapSaisie.html LdapSaisie.pdf LdapSaisie.epub

public_html: venv
	venv/bin/mkdocs build -s

LdapSaisie.html: venv public_html
	venv/bin/htmlark public_html/print_page/index.html -o LdapSaisie.html

LdapSaisie.pdf: LdapSaisie.html
	docker run -v $(CURDIR):/workspace pink33n/html-to-pdf --url file:///workspace/LdapSaisie.html --pdf LdapSaisie.pdf

LdapSaisie.epub: LdapSaisie.html
	pandoc LdapSaisie.html \
		-f html \
		--toc \
		--standalone \
		--top-level-division=chapter \
		--highlight-style style/pygments.theme \
		--css style/epub.css \
		--metadata=title:"Documentation LdapSaisie" \
		--metadata=author:"Benjamin Renard" \
		--metadata=lang:"fr-FR" \
		--metadata=cover-image:"../logos/ldapsaisie-logo.png" \
		--pdf-engine=weasyprint \
		-o LdapSaisie.epub

venv:
	python3 -m venv venv
	venv/bin/python -m pip install -r requirements.txt

clean:
	rm -fr venv public_html LdapSaisie.html LdapSaisie.pdf LdapSaisie.epub

serve: venv
	venv/bin/mkdocs serve

debian: LdapSaisie.html

=== doc/requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 html5lib
 requests
 htmlark
+mike

=== debian/changelog ===
ldapsaisie (4.1.0-1-15-gff11b8f) sid; urgency=medium

  * doc: use mike to keep old released doc
  * LSaddon::accesslog: Fix infinity loop problem handling entry renaming event
    with the same DN
  * Remove useless old docbook doc scripts
  * Switch doc format to Markdown / Mkdocs
  * Improve LSldapObject::getDisplayValue() method to match with getValue()
    method's parameters
  * Fix LSattribute::getDisplayValue() when called on updated attribute
  * Fix some french translated messages
  * LSauth add filter_function parameter
  * LSattr_ldap::date: replace unique format parameter by a list
  * LSauthMethod::CAS: fix support of phpCAS >= 1.6.0 and patched Debian Buster
    1.3.6-1+deb10u1 version
  * SUPANN: Add supannCMSIdEtiquette attribute support
  * LSaddon::accesslog: improve displaying changes attributes values

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Sun, 08 Oct 2023 11:21:15 +0200

## ldapsaisie 4.1.0-1-17-ge77a960

=== debian/changelog ===
ldapsaisie (4.1.0-1-17-ge77a960) sid; urgency=medium

  * doc: clean all-in-one HTML file
  * doc: use mike to keep old released doc
  * LSaddon::accesslog: Fix infinity loop problem handling entry renaming event
    with the same DN
  * Remove useless old docbook doc scripts
  * Switch doc format to Markdown / Mkdocs
  * Improve LSldapObject::getDisplayValue() method to match with getValue()
    method's parameters
  * Fix LSattribute::getDisplayValue() when called on updated attribute
  * Fix some french translated messages
  * LSauth add filter_function parameter
  * LSattr_ldap::date: replace unique format parameter by a list
  * LSauthMethod::CAS: fix support of phpCAS >= 1.6.0 and patched Debian Buster
    1.3.6-1+deb10u1 version
  * SUPANN: Add supannCMSIdEtiquette attribute support
  * LSaddon::accesslog: improve displaying changes attributes values

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Sun, 08 Oct 2023 23:53:37 +0200

## ldapsaisie 4.1.0-1-18-g9384d2e

=== debian/changelog ===
ldapsaisie (4.1.0-1-18-g9384d2e) sid; urgency=medium

  * LSconfig: add escape_key, explode_keys and implode_keys helper methods
  * doc: clean all-in-one HTML file
  * doc: use mike to keep old released doc
  * LSaddon::accesslog: Fix infinity loop problem handling entry renaming event
    with the same DN
  * Remove useless old docbook doc scripts
  * Switch doc format to Markdown / Mkdocs
  * Improve LSldapObject::getDisplayValue() method to match with getValue()
    method's parameters
  * Fix LSattribute::getDisplayValue() when called on updated attribute
  * Fix some french translated messages
  * LSauth add filter_function parameter
  * LSattr_ldap::date: replace unique format parameter by a list
  * LSauthMethod::CAS: fix support of phpCAS >= 1.6.0 and patched Debian Buster
    1.3.6-1+deb10u1 version
  * SUPANN: Add supannCMSIdEtiquette attribute support
  * LSaddon::accesslog: improve displaying changes attributes values

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 12 Oct 2023 19:00:29 +0200

=== debian/control ===
Source: ldapsaisie
Section: admin
Priority: extra
Build-Depends: debhelper, xsltproc, docbook-xsl, bash-completion
Maintainer: Benjamin Renard <brenard@easter-eggs.com>

Package: ldapsaisie
Architecture: all
Depends: apache2 | httpd, php-ldap | php5-ldap, php-fpm | libapache2-mod-php5 | libapache2-mod-php | php5-cli | php-cli, smarty | smarty3, php-net-ldap2, php-net-ftp, php-mail, php-mail-mime, php-console-table
Recommends: php-mbstring, php-phpseclib, php-unidecode, php-zxcvbn
Description:  web based interface for managing LDAP servers content
 LdapSaisie is a Web application developed to manage LDAP directory.
 It has been written in PHP / JavaScript and is published under the
 GNU GPL license. This application is designed to abstract the
 complexity of the directory through a simple and intuitive
 administration interface. It was designed with the objective of
 maximal modularity and easy extension or adaptation: you can use
 modules, extensions and plugins. LdapSaisie allows any system
 administrator to manage data stored inside a LDAP server, and thus
 administrate its information system in a simple manner. It's also
 possible to let users access their own data, with read-only or
 read-write access.

## ldapsaisie 4.1.0-1-23-g1c42aa3

=== debian/changelog ===
ldapsaisie (4.1.0-1-23-g1c42aa3) sid; urgency=medium

  * Remove old docbook doc related stuff
  * Update translation
  * LSaddon::posix: Add deleteHomeDirectoryByFTP function
  * LSaddon::ftp: Remove PEAR Net_FTP dependency
  * LSconfig: add escape_key, explode_keys and implode_keys helper methods
  * doc: clean all-in-one HTML file
  * doc: use mike to keep old released doc
  * LSaddon::accesslog: Fix infinity loop problem handling entry renaming event
    with the same DN
  * Remove useless old docbook doc scripts
  * Switch doc format to Markdown / Mkdocs
  * Improve LSldapObject::getDisplayValue() method to match with getValue()
    method's parameters
  * Fix LSattribute::getDisplayValue() when called on updated attribute
  * Fix some french translated messages
  * LSauth add filter_function parameter
  * LSattr_ldap::date: replace unique format parameter by a list
  * LSauthMethod::CAS: fix support of phpCAS >= 1.6.0 and patched Debian Buster
    1.3.6-1+deb10u1 version
  * SUPANN: Add supannCMSIdEtiquette attribute support
  * LSaddon::accesslog: improve displaying changes attributes values

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Fri, 13 Oct 2023 19:28:14 +0200

## ldapsaisie 4.2.0-1-2-g2d08374

=== debian/changelog ===
ldapsaisie (4.2.0-1-2-g2d08374) sid; urgency=medium

  * Release version 4.2.0-1-2-g2d08374

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 26 Oct 2023 18:22:21 +0200

ldapsaisie (4.2.0-1) stable; urgency=medium

  * PHP 8.2 support
  * LSconfig: add escape_key, explode_keys and implode_keys helper methods
  * Improve LSldapObject::getDisplayValue() method to match with getValue() method's parameters
  * Fix LSattribute::getDisplayValue() when called on updated attribute
  * LSattr_ldap::date: replace unique format parameter by a list
  * Fix some french translated messages
  * Auth:
    * LSauth: add filter_function parameter
    * LSauthMethod::CAS: fix support of phpCAS >= 1.6.0 and patched Debian Buster 1.3.6-1+deb10u1 version
  * Addons
    * accesslog:
      * Improve displaying changes attributes values
      * Fix infinity loop problem handling entry renaming event with the same DN
    * ftp: Remove PEAR Net_FTP dependency
    * posix: Add deleteHomeDirectoryByFTP function
    * supann: Add supannCMSIdEtiquette attribute support
  * doc: switch format to Markdown & Mkdocs

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 26 Oct 2023 11:55:52 +0200

## ldapsaisie 4.2.0-1-4-g2104187

=== debian/changelog ===
ldapsaisie (4.2.0-1-4-g2104187) sid; urgency=medium

  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Tue, 05 Dec 2023 13:02:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: ldapsaisie
 Section: admin
 Priority: extra
-Build-Depends: debhelper, xsltproc, docbook-xsl, bash-completion
+Build-Depends: debhelper, bash-completion, python3, python3-venv, python3-pip
 Maintainer: Benjamin Renard <brenard@easter-eggs.com>
 
 Package: ldapsaisie
 Architecture: all
-Depends: apache2 | httpd, php-ldap | php5-ldap, php-fpm | libapache2-mod-php5 | libapache2-mod-php | php5-cli | php-cli, smarty | smarty3, php-net-ldap2, php-net-ftp, php-mail, php-mail-mime, php-console-table
-Recommends: php-mbstring, php-phpseclib, php-unidecode, php-zxcvbn
+Depends: apache2 | httpd, php-ldap | php5-ldap, php-fpm | libapache2-mod-php5 | libapache2-mod-php | php5-cli | php-cli, smarty | smarty3, php-net-ldap2, php-console-table
+Recommends: php-mbstring, php-phpseclib, php-unidecode, php-zxcvbn, php-ftp, php-mail, php-mail-mime
 Description:  web based interface for managing LDAP servers content
  LdapSaisie is a Web application developed to manage LDAP directory.
  It has been written in PHP / JavaScript and is published under the

## ldapsaisie 4.2.0-1-5-gbf1a3af

=== debian/changelog ===
ldapsaisie (4.2.0-1-5-gbf1a3af) sid; urgency=medium

  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 01 Feb 2024 14:25:59 +0100

## ldapsaisie 4.2.0-1-6-gdc8e08b

=== debian/changelog ===
ldapsaisie (4.2.0-1-6-gdc8e08b) sid; urgency=medium

  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Sat, 10 Feb 2024 18:35:54 +0100

## ldapsaisie 4.2.0-1-11-g1372513

=== debian/changelog ===
ldapsaisie (4.2.0-1-11-g1372513) sid; urgency=medium

  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Mon, 19 Feb 2024 20:04:45 +0100

## ldapsaisie 4.2.0-1-15-g15f67ef

=== debian/changelog ===
ldapsaisie (4.2.0-1-15-g15f67ef) sid; urgency=medium

  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 22 Feb 2024 16:57:18 +0100

## ldapsaisie 4.2.0-1-16-g557db5d

=== debian/changelog ===
ldapsaisie (4.2.0-1-16-g557db5d) sid; urgency=medium

  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 22 Feb 2024 17:03:29 +0100

## ldapsaisie 4.2.0-1-17-g5e9773a

=== debian/changelog ===
ldapsaisie (4.2.0-1-17-g5e9773a) sid; urgency=medium

  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 22 Feb 2024 18:10:28 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Package: ldapsaisie
 Architecture: all
 Depends: apache2 | httpd, php-ldap | php5-ldap, php-fpm | libapache2-mod-php5 | libapache2-mod-php | php5-cli | php-cli, smarty | smarty3, php-net-ldap2, php-console-table
-Recommends: php-mbstring, php-phpseclib, php-unidecode, php-zxcvbn, php-ftp, php-mail, php-mail-mime
+Recommends: php-mbstring, php-phpseclib, php-unidecode, php-zxcvbn, php-ftp, php-mail, php-mail-mime, php-html2text
 Description:  web based interface for managing LDAP servers content
  LdapSaisie is a Web application developed to manage LDAP directory.
  It has been written in PHP / JavaScript and is published under the

## ldapsaisie 4.2.0-1-18-g6275933

=== debian/changelog ===
ldapsaisie (4.2.0-1-18-g6275933) sid; urgency=medium

  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 22 Feb 2024 18:52:11 +0100

## ldapsaisie 4.2.0-1-19-gd26c524

=== debian/changelog ===
ldapsaisie (4.2.0-1-19-gd26c524) sid; urgency=medium

  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 22 Feb 2024 19:13:35 +0100

## ldapsaisie 4.2.0-1-20-g171161a

=== debian/changelog ===
ldapsaisie (4.2.0-1-20-g171161a) sid; urgency=medium

  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Wed, 28 Feb 2024 18:18:57 +0100

## ldapsaisie 4.2.0-1-21-g2ccf579

=== debian/changelog ===
ldapsaisie (4.2.0-1-21-g2ccf579) sid; urgency=medium

  * LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key: fix setting GnuPG home dir
    in PHP 7.3
  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Wed, 28 Feb 2024 18:47:09 +0100

## ldapsaisie 4.2.0-1-22-g4ce95e5

=== debian/changelog ===
ldapsaisie (4.2.0-1-22-g4ce95e5) sid; urgency=medium

  * LSattr_html_gpg_pub_key: improve CSS
  * LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key: fix setting GnuPG home dir
    in PHP 7.3
  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Wed, 28 Feb 2024 19:10:48 +0100

## ldapsaisie 4.2.0-1-24-gbd98a8b

=== debian/changelog ===
ldapsaisie (4.2.0-1-24-gbd98a8b) sid; urgency=medium

  * LSldapObject: add force_generation_if_empty parameter
  * LSldapObject: defaulty set attribute default value on creation even if is
    not present in form
  * LSattr_html_gpg_pub_key: improve CSS
  * LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key: fix setting GnuPG home dir
    in PHP 7.3
  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Mon, 04 Mar 2024 11:36:05 +0100

## ldapsaisie 4.2.0-1-25-g53b2a4b

=== debian/changelog ===
ldapsaisie (4.2.0-1-25-g53b2a4b) sid; urgency=medium

  * Add possibily to make global search using API
  * LSldapObject: add force_generation_if_empty parameter
  * LSldapObject: defaulty set attribute default value on creation even if is
    not present in form
  * LSattr_html_gpg_pub_key: improve CSS
  * LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key: fix setting GnuPG home dir
    in PHP 7.3
  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 28 Mar 2024 12:22:08 +0100

## ldapsaisie 4.2.0-1-26-g118b784

=== debian/changelog ===
ldapsaisie (4.2.0-1-26-g118b784) sid; urgency=medium

  * API: allow to execute LSobject's custom actions
  * Add possibily to make global search using API
  * LSldapObject: add force_generation_if_empty parameter
  * LSldapObject: defaulty set attribute default value on creation even if is
    not present in form
  * LSattr_html_gpg_pub_key: improve CSS
  * LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key: fix setting GnuPG home dir
    in PHP 7.3
  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 04 Apr 2024 16:11:06 +0200

## ldapsaisie 4.2.0-1-27-g151b229

=== debian/changelog ===
ldapsaisie (4.2.0-1-27-g151b229) sid; urgency=medium

  * LSformElement_postaladdress: update OSM nominatim search URL
  * API: allow to execute LSobject's custom actions
  * Add possibily to make global search using API
  * LSldapObject: add force_generation_if_empty parameter
  * LSldapObject: defaulty set attribute default value on creation even if is
    not present in form
  * LSattr_html_gpg_pub_key: improve CSS
  * LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key: fix setting GnuPG home dir
    in PHP 7.3
  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Wed, 24 Apr 2024 11:22:39 +0200

## ldapsaisie 4.2.0-1-28-g4235c05

=== debian/changelog ===
ldapsaisie (4.2.0-1-28-g4235c05) sid; urgency=medium

  * LSaddon :: dyngroup: add update_dyngroup_members_cache CLI command
  * LSformElement_postaladdress: update OSM nominatim search URL
  * API: allow to execute LSobject's custom actions
  * Add possibily to make global search using API
  * LSldapObject: add force_generation_if_empty parameter
  * LSldapObject: defaulty set attribute default value on creation even if is
    not present in form
  * LSattr_html_gpg_pub_key: improve CSS
  * LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key: fix setting GnuPG home dir
    in PHP 7.3
  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Wed, 05 Jun 2024 14:49:38 +0200

## ldapsaisie 4.2.0-1-29-g3384818

=== debian/changelog ===
ldapsaisie (4.2.0-1-29-g3384818) sid; urgency=medium

  * LSaddon::dyngroup: Add showDyngroupMembers view function
  * LSaddon :: dyngroup: add update_dyngroup_members_cache CLI command
  * LSformElement_postaladdress: update OSM nominatim search URL
  * API: allow to execute LSobject's custom actions
  * Add possibily to make global search using API
  * LSldapObject: add force_generation_if_empty parameter
  * LSldapObject: defaulty set attribute default value on creation even if is
    not present in form
  * LSattr_html_gpg_pub_key: improve CSS
  * LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key: fix setting GnuPG home dir
    in PHP 7.3
  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Wed, 19 Jun 2024 17:54:39 +0200

## ldapsaisie 4.2.0-1-30-g6646ca9

=== debian/changelog ===
ldapsaisie (4.2.0-1-30-g6646ca9) sid; urgency=medium

  * Update french translation
  * LSaddon::dyngroup: Add showDyngroupMembers view function
  * LSaddon :: dyngroup: add update_dyngroup_members_cache CLI command
  * LSformElement_postaladdress: update OSM nominatim search URL
  * API: allow to execute LSobject's custom actions
  * Add possibily to make global search using API
  * LSldapObject: add force_generation_if_empty parameter
  * LSldapObject: defaulty set attribute default value on creation even if is
    not present in form
  * LSattr_html_gpg_pub_key: improve CSS
  * LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key: fix setting GnuPG home dir
    in PHP 7.3
  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Wed, 19 Jun 2024 18:01:22 +0200

## ldapsaisie 4.2.0-1-31-gd6a080c

=== debian/changelog ===
ldapsaisie (4.2.0-1-31-gd6a080c) sid; urgency=medium

  * LSldapObject::validateAttrData(): fix validation on the current object it
    self (base DN=%{dn}) in create form and clean some PHP warnings
  * Update french translation
  * LSaddon::dyngroup: Add showDyngroupMembers view function
  * LSaddon :: dyngroup: add update_dyngroup_members_cache CLI command
  * LSformElement_postaladdress: update OSM nominatim search URL
  * API: allow to execute LSobject's custom actions
  * Add possibily to make global search using API
  * LSldapObject: add force_generation_if_empty parameter
  * LSldapObject: defaulty set attribute default value on creation even if is
    not present in form
  * LSattr_html_gpg_pub_key: improve CSS
  * LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key: fix setting GnuPG home dir
    in PHP 7.3
  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Mon, 08 Jul 2024 14:48:38 +0200

## ldapsaisie 4.2.0-1-32-g60a7829

=== debian/changelog ===
ldapsaisie (4.2.0-1-32-g60a7829) sid; urgency=medium

  * LSaddon::mail: fix handling the  parameter of the sendMailFromTemplate
    function
  * LSldapObject::validateAttrData(): fix validation on the current object it
    self (base DN=%{dn}) in create form and clean some PHP warnings
  * Update french translation
  * LSaddon::dyngroup: Add showDyngroupMembers view function
  * LSaddon :: dyngroup: add update_dyngroup_members_cache CLI command
  * LSformElement_postaladdress: update OSM nominatim search URL
  * API: allow to execute LSobject's custom actions
  * Add possibily to make global search using API
  * LSldapObject: add force_generation_if_empty parameter
  * LSldapObject: defaulty set attribute default value on creation even if is
    not present in form
  * LSattr_html_gpg_pub_key: improve CSS
  * LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key: fix setting GnuPG home dir
    in PHP 7.3
  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Tue, 06 Aug 2024 18:36:10 +0200

## ldapsaisie 4.2.0-1-33-gf4bdd43

=== debian/changelog ===
ldapsaisie (4.2.0-1-33-gf4bdd43) sid; urgency=medium

  * LStemplate: provide current request object as a common variable ($request)
  * LSaddon::mail: fix handling the  parameter of the sendMailFromTemplate
    function
  * LSldapObject::validateAttrData(): fix validation on the current object it
    self (base DN=%{dn}) in create form and clean some PHP warnings
  * Update french translation
  * LSaddon::dyngroup: Add showDyngroupMembers view function
  * LSaddon :: dyngroup: add update_dyngroup_members_cache CLI command
  * LSformElement_postaladdress: update OSM nominatim search URL
  * API: allow to execute LSobject's custom actions
  * Add possibily to make global search using API
  * LSldapObject: add force_generation_if_empty parameter
  * LSldapObject: defaulty set attribute default value on creation even if is
    not present in form
  * LSattr_html_gpg_pub_key: improve CSS
  * LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key: fix setting GnuPG home dir
    in PHP 7.3
  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Wed, 21 Aug 2024 18:12:01 +0200

## ldapsaisie 4.2.0-1-34-gccf00e1

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,9 @@
 	venv/bin/mkdocs build -s
 
 LdapSaisie.html: venv public_html
-	venv/bin/htmlark public_html/print_page/index.html -o LdapSaisie.html
+	venv/bin/htmlark public_html/print_page/index.html -o LdapSaisie.tmp.html
+	venv/bin/python clean-all-in-one-html-file.py LdapSaisie.tmp.html LdapSaisie.html
+	rm -f LdapSaisie.tmp.html
 
 LdapSaisie.pdf: LdapSaisie.html
 	docker run -v $(CURDIR):/workspace pink33n/html-to-pdf --url file:///workspace/LdapSaisie.html --pdf LdapSaisie.pdf
@@ -26,6 +28,7 @@
 
 venv:
 	python3 -m venv venv
+	venv/bin/python -m pip install --upgrade pip setuptools
 	venv/bin/python -m pip install -r requirements.txt
 
 clean:

=== debian/changelog ===
ldapsaisie (4.2.0-1-34-gccf00e1) sid; urgency=medium

  * Add LSurl::public_url() method and globally use it to retrieve a public URL
  * LStemplate: provide current request object as a common variable ($request)
  * LSaddon::mail: fix handling the  parameter of the sendMailFromTemplate
    function
  * LSldapObject::validateAttrData(): fix validation on the current object it
    self (base DN=%{dn}) in create form and clean some PHP warnings
  * Update french translation
  * LSaddon::dyngroup: Add showDyngroupMembers view function
  * LSaddon :: dyngroup: add update_dyngroup_members_cache CLI command
  * LSformElement_postaladdress: update OSM nominatim search URL
  * API: allow to execute LSobject's custom actions
  * Add possibily to make global search using API
  * LSldapObject: add force_generation_if_empty parameter
  * LSldapObject: defaulty set attribute default value on creation even if is
    not present in form
  * LSattr_html_gpg_pub_key: improve CSS
  * LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key: fix setting GnuPG home dir
    in PHP 7.3
  * Add LSattr_html_gpg_pub_key & LSformRule_gpg_pub_key
  * LSaddon::mail: fix handling CC/BCC headers if not provided as array
  * LSaddon::mail: remove useless label
  * LSaddon::mail: improve CSS of templates editor view
  * Fix Gitlab CI tests
  * Improve docker image to make it smaller
  * Move mail template in LSaddon::mail and add editor view and docs
  * Fix handling mime type on serving libs's static files
  * Add common LStabs CSS classes to handle tabs content
  * LSmail: add possibility to send email using template
  * LSaddon::phpldapadmin: fix default config to avoid PHP warning in CLI mode
  * LScli::unquote_word: Fix PHP warning
  * LSaddon::mail: Fix handling multiple recipients
  * Improve test_send_mail CLI command
  * Fix PHP 8.2 error on sorting values
  * Add selection boxes feature on objects list page (for LSsearch
    customActions)
  * LSaddon::ppolicy: fix registering exportPpolicyInfo API method
  * LSaddon::ppolicy: improve password expiration extra displayed column

 -- LdapSaisie project <support+ldapsaisie@easter-eggs.com>  Thu, 22 Aug 2024 18:43:17 +0200
